GuiCommand: Name: Part Point MenuLocation: Part , Part_Primitives , Point Workbenches: Part_Workbench, OpenSCAD_Workbench SeeAlso: Part_Primitives
Part Point
Description
A Part Point is a parametric point that can be created with the
Part Primitives command. Its coordinates are relative to the coordinate system defined by its Placement property.
Usage
See Part Primitives.
Properties
See also: Property editor.
A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Attachment}}
The object has the same attachment properties as a Part Part2DObject.
{{TitleProperty|Base}}
-
X|Distance: The X coordinate of the point. The default is {{Value|0mm}}.
-
Y|Distance: The Y coordinate of the point. The default is {{Value|0mm}}.
-
Z|Distance: The Z coordinate of the point. The default is {{Value|0mm}}.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Point can be created with the {{Incode|addObject()}} method of the document:
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
- Where {{Incode|"myPoint"}} is the name for the object.
- The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3
doc.recompute()
{{Part_Tools_navi}}
⏵ documentation index > Part > Part Point
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Part_Point.md